/**
 * @desc 登录
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 账号(支持用户名/手机号/邮箱) */
    account: string
    /** 密码 */
    password: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<defs.LoginVo> {
    return defHttp.request(
        {
            url: '/auth/login',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
