/**
 * @desc 分页查询
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** 当前页数 */
    pageNo: number
    /** 分页条数 */
    pageSize: number
    /** 排序字段 */
    sortField?: string
    /** 排序方向（ASC|DESC） */
    sortOrder?: 'ASC' | 'DESC'
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<defs.PageVo<defs.RoleVo>> {
    return defHttp.request(
        {
            url: '/sys/role/page',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
